put

/v4/key-value-stores/{key}/entries

Upsert a single entry. Authenticate with a JWT for user access, or an X-API-Key header for service access.

Path parameters

keystring
required

Request body

object
addressstring
required
Target Ethereum address (or bytes32 campaignId for APR configs)
valuestring
required
JSON value (shape gated by config type)

Responses

200
Response for status 200
Schema
object
addressstring
required
valuestring
required
createdAtstring
required
updatedAtstring
required
Example
{
  "address": "string",
  "value": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
put
https://api.merkl.xyz/v4/key-value-stores/{key}/entries
Merkl API
curl -X PUT "https://api.merkl.xyz/v4/key-value-stores/{key}/entries"
Fill the required path parameter key to send.Live request — this will call https://api.merkl.xyz/ for real.